## org.eclipse.datatools.modelbase.sql.routines.util
Class SQLRoutinesAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.routines.util.SQLRoutinesAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  SQLRoutinesItemProviderAdapterFactory

    public class SQLRoutinesAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SQLRoutinesPackage`

Constructor Summary
`SQLRoutinesAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createBuiltInFunctionAdapter()` Creates a new adapter for an object of class '`Built In Function`'.
`org.eclipse.emf.common.notify.Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`org.eclipse.emf.common.notify.Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createFunctionAdapter()` Creates a new adapter for an object of class '`Function`'.
`org.eclipse.emf.common.notify.Adapter` `createMethodAdapter()` Creates a new adapter for an object of class '`Method`'.
`org.eclipse.emf.common.notify.Adapter` `createParameterAdapter()` Creates a new adapter for an object of class '`Parameter`'.
`org.eclipse.emf.common.notify.Adapter` `createProcedureAdapter()` Creates a new adapter for an object of class '`Procedure`'.
`org.eclipse.emf.common.notify.Adapter` `createRoutineAdapter()` Creates a new adapter for an object of class '`Routine`'.
`org.eclipse.emf.common.notify.Adapter` `createRoutineResultTableAdapter()` Creates a new adapter for an object of class '`Routine Result Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSourceAdapter()` Creates a new adapter for an object of class '`Source`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLObjectAdapter()` Creates a new adapter for an object of class '`SQL Object`'.
`org.eclipse.emf.common.notify.Adapter` `createTableAdapter()` Creates a new adapter for an object of class '`Table`'.
`org.eclipse.emf.common.notify.Adapter` `createTypedElementAdapter()` Creates a new adapter for an object of class '`Typed Element`'.
`org.eclipse.emf.common.notify.Adapter` `createUserDefinedFunctionAdapter()` Creates a new adapter for an object of class '`User Defined Function`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLRoutinesAdapterFactory

    public SQLRoutinesAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createRoutineAdapter

    public org.eclipse.emf.common.notify.Adapter createRoutineAdapter()

  Creates a new adapter for an object of class '`Routine`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Routine`

### createSourceAdapter

    public org.eclipse.emf.common.notify.Adapter createSourceAdapter()

  Creates a new adapter for an object of class '`Source`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Source`

### createParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createParameterAdapter()

  Creates a new adapter for an object of class '`Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Parameter`

### createProcedureAdapter

    public org.eclipse.emf.common.notify.Adapter createProcedureAdapter()

  Creates a new adapter for an object of class '`Procedure`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Procedure`

### createFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createFunctionAdapter()

  Creates a new adapter for an object of class '`Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Function`

### createRoutineResultTableAdapter

    public org.eclipse.emf.common.notify.Adapter createRoutineResultTableAdapter()

  Creates a new adapter for an object of class '`Routine Result Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RoutineResultTable`

### createMethodAdapter

    public org.eclipse.emf.common.notify.Adapter createMethodAdapter()

  Creates a new adapter for an object of class '`Method`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Method`

### createUserDefinedFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createUserDefinedFunctionAdapter()

  Creates a new adapter for an object of class '`User Defined Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UserDefinedFunction`

### createBuiltInFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createBuiltInFunctionAdapter()

  Creates a new adapter for an object of class '`Built In Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BuiltInFunction`

### createEModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EModelElement`

### createENamedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ENamedElement`

### createSQLObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLObjectAdapter()

  Creates a new adapter for an object of class '`SQL Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLObject`

### createTypedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createTypedElementAdapter()

  Creates a new adapter for an object of class '`Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedElement`

### createTableAdapter

    public org.eclipse.emf.common.notify.Adapter createTableAdapter()

  Creates a new adapter for an object of class '`Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Table`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.